Can I Use The NI CANopen Driver With a 64-bit Software

Updated Aug 11, 2020

Reported In

Driver

  • NI-Industrial Communications for CANopen

Issue Details

I have the 64-bit version of LabVIEW and I want to use the NI-Industrial Communications for CANopen drivers to communicate with my device. Is this possible? 

Solution

Unfortunately NI-Industrial Communications for CANopen drivers can only be used with 32-bit software. Even if you compile a library using the components of the CANopen, it would be incompatible with 64-bit software. Only 32-bit software is recommended to be used with CANopen drivers.